<!--@Header-->
<?php
session_start();

if(isset($_SESSION['nomUsuario'])){
    $usuario = $_SESSION['nomUsuario'];
    $rol_usuario=$_SESSION['rolUsuario'];
    $id=$_SESSION['cveUsuario'];
    
    if ($rol_usuario == 'ADMINISTRADOR') {
        include("path/header.php");
    $materias_prima = get_materias_prima();
    }else{
        echo "<script> 
               document.location.href='../functions/salir.php';
            </script>";
    }

}else{
  echo "<script> 
        document.location.href='/aqua-restaurant/';
    </script>";
}
?>
<div class="row">
    <div class="col-md-12 mb-lg-0">
        <div class="card mt-1 pb-0 p-2">
            <nav>
                <div class="nav nav-tabs" id="nav-tab" role="tablist">
                    <button class="nav-link active" id="nav-home-tab" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home" aria-selected="true">Alta de materia prima</button>
                    <button class="nav-link" id="nav-profile-tab" data-bs-toggle="tab" data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile" aria-selected="false">Edición de materia prima</button>
                    <button class="nav-link" id="nav-editar-materias-tab" data-bs-toggle="tab" data-bs-target="#nav-editar-materias" type="button" role="tab" aria-controls="nav-profile" aria-selected="false">Edición de materias prima</button>
                </div>
            </nav>
            <div class="tab-content" id="nav-tabContent">
                <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                    <div class="card card-plain">
                        <div class="card-header">
                            <h5 class="font-weight-bolder">Alta de materia prima</h5>
                        </div>
                        <div class="card-body pt-3 pb-5">
                            <div class="col-md-10 mb-lg-0">
                                <form id="form_materia_prima" method="POST">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Clave de Materia prima</label>
                                                <input type="text" class="form-control" name="map_clave" id="map_clave" pattern="[a-zA-Z0-9]+" required>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Nombre de materia prima</label>
                                                <input type="text" class="form-control" name="map_nombre" id="map_nombre" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Cantidad que ingresa</label>
                                                <input type="text" class="form-control" name="map_cantidad_ingreso" id="map_cantidad_ingreso" pattern="\d+(\.\d{1,6})?" required>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <select class="form-control" name="map_clasificacion" id="map_clasificacion" required>
                                                    <option selected> Clasificación </option>
                                                    <option value="CENTRAL CARNE">CENTRAL CARNE</option>
                                                    <option value="CERVEZA CORONA">CERVEZA CORONA</option>
                                                    <option value="CENTRAL FRUTA">CENTRAL FRUTA</option>
                                                    <option value="CENTRAL HIERBAS">CENTRAL HIERBAS</option>
                                                    <option value="CENTRAL SEMILLAS">CENTRAL SEMILLAS</option>
                                                    <option value="CENTRAL VERDURAS">CENTRAL VERDURAS</option>
                                                    <option value="CENTRAL POLLERIA">CENTRAL POLLERIA</option>
                                                    <option value="TIENDA">TIENDA</option>
                                                    <option value="TORTILLERIA">TORTILLERIA</option>
                                                    <option value="GARRAFON">GARRAFON</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Unidad de medida</label>
                                                <input type="text" class="form-control" name="map_unidad_medida" id="map_unidad_medida"  required>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Fecha de entrada</label>
                                                <input type="date" class="form-control" name="map_entrada" id="map_entrada">
                                            </div>
                                        </div>
                                   
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Costo unico</label>
                                                <input type="text" class="form-control" name="map_costo_unico" id="map_costo_unico" pattern="\d+(\.\d{1,2})?" required>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Existencia</label>
                                                <input type="text" class="form-control" name="map_existencia" id="map_existencia" disabled>
                                            </div>
                                        </div>
                                
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Costo final</label>
                                                <input type="text" class="form-control" name="map_costo_final" id="map_costo_final" disabled>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Stock minimo</label>
                                                <input type="text" class="form-control" name="map_stock_minimo" id="map_stock_minimo" pattern="\d+(\.\d{1,6})?">
                                            </div>
                                        </div>
                                   
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Es perecedero?</label>
                                                <input type="text" class="form-control" name="map_predecedero" id="map_predecedero">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="input-group input-group-outline mb-3">
                                                <label class="form-label">Fecha de perecer</label>
                                                <input type="date" class="form-control" name="map_fecha_perecer" id="map_fecha_perecer">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="text-center">
                                                <button type="submit" class="btn btn-lg bg-gradient-primary btn-lg w-100 mt-4 mb-0">Dar de alta</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                    <div class="card card-plain">
                        <div class="card-header">
                            <h5 class="font-weight-bolder">Edición de Materia prima</h5>
                        </div>
                        <div class="card-body pt-3 pb-5">
                            <div class="col-md-10 mb-lg-0">
                                <form id="form_materia_prima_edit">
                                    <div class="row">
                                        <div class="col-md-12 pt-3 pb-3">
                                            <div class="text-center">
                                                <i class="btn btn-warning" type="button" data-bs-target="#modalMPrima" data-bs-toggle="modal">Buscar Materia prima</i>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="editar_materia_prima_inputs"></div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="nav-editar-materias" role="tabpanel" aria-labelledby="nav-editar-materias-tab">
                    <div class="card card-plain">
                        <div class="card-header">
                            <h5 class="font-weight-bolder">Edición de Materias Prima</h5>
                        </div>
                        <div class="card-body pt-3 pb-5">
                            <div class="col-md-12 mb-lg-0">
                                <form id="form_materias_prima_edit">
                                    
                                    <div class="row">
                                        <div class="col-md-6 pt-3 pb-3 mt-2">
                                            <!--<div id="select_opction_map"></div>-->
                                            <select class="form-select" name="" id="seleccionar_mat_prima">
                                                <?php foreach ($materias_prima as $materia_prima) {
                                                    echo "<option value='".$materia_prima['MAP_CLASIFICACION']."' >".$materia_prima['MAP_CLASIFICACION']."</option>";
                                                }?>
                                            </select>
                                        </div>
                                        <div class="col-md-6 pt-3 pb-3">
                                            <button type="button" class="btn btn-lg bg-gradient-primary btn-lg w-100 mb-0" id="editar_materia_prima">Editar</button>
                                        </div>
                                        <div class="col-md-12 pt-3 pb-3">
                                            <div class="table-responsive" style="max-height: 380px; overflow-y: auto;">
                                                <div id="tabla-editar-materias-prima"></div>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<!-- Modal Materia Actualizar-->
<div class="modal fade" id="modalMPrima" tabindex="-1" aria-labelledby="modalMPrima" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalMPrima">Buscador materia prima a editar</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-10">
                        <div class="ms-md-auto pe-md-3 d-flex align-items-center">
                            <div class="input-group input-group-outline ">
                                <label class="form-label">Buscador...</label>
                                <input type="text" class="form-control" id="caja_buscar_map">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <button type="button" class="btn btn-primary" style="padding-top: 5px; padding-bottom: 6px;"><img width="15" src="../assets/img/icons/buscar.png"></button>
                    </div>
                </div>
                <div class="table-responsive pt-2">
                    <div id="tabla_map"></div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                <button type="button" class="btn btn-primary" id="btn_agregar_map">Agregar</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal Guardar Materia -->
<div class="modal fade" id="modalGuardarMateria" tabindex="-1" aria-labelledby="modalGuardarMateria" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalGuardarMateria"> GUARDADO</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-10">
                        <h6 class="mb-0">¡La materia prima ha sido guardado exitosamente!</h6>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal Fallo Al Guardar Materia -->
<div class="modal fade" id="modalFalloGuardarMateria" tabindex="-1" aria-labelledby="modalFalloGuardarMateria" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalFalloGuardarMateria"> FALLO AL GUARDAR LA MATERIA PRIMA</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-10">
                        <h6 class="mb-0">¡La materia prima ya existe!</h6>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<!-- Modal Editar Materia -->
<div class="modal fade" id="modalEditarMateria" tabindex="-1" aria-labelledby="modalEditarMateria" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalEditarMateria"> EDICION EXITOSA </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-10">
                        <h6 class="mb-0">¡La materia prima ha sido exitosamente editada!</h6>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<!-- Modal NO ACTUALIZACION Materia -->
<div class="modal fade" id="modalNoEdicionMateria" tabindex="-1" aria-labelledby="modalNoEdicionMateria" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalNoEdicionMateria"> No se ha podido actualizar</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-10">
                        <h6 class="mb-0">Revisa que todos los campos esten completos</h6>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal Editar Renglon -->
<div class="modal fade" id="modalEditarRenglon" tabindex="-1" aria-labelledby="modalEditarRenglon" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalEditarRenglon">EDITAR MATERIA PRIMA</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">Estas por editar la materia prima</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_edt_mat_prima">Editar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Seleccionar Renglon -->
<div class="modal fade" id="modalSNEdtRenglon" tabindex="-1" aria-labelledby="modalSNEdtRenglon" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalSNEdtRenglon">Sin datos</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">No hay datos para modificar!</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal Seleccionar Renglon -->
<div class="modal fade" id="modalExitoEdtRenglon" tabindex="-1" aria-labelledby="modalExitoEdtRenglon" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalExitoEdtRenglon">EDICION EXITOSA</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">Se ha editado satisfactoriamente la materia prima!</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!--  SCRIPT  -->
<script src="../assets/js/jquery-3.5.1.min.js"></script>

<!-- ///////////// BUSCAR MATERIA PRIMA //////////////-->
<script type="text/javascript">

    $(document).ready(function(){
        buscar_materia_prima();
        
    });
    function buscar_materia_prima(consulta){
        $.ajax({
            data: {consulta: consulta},
            url: '../functions/materia_prima/buscar_materia_prima.php',
            type: 'post',
            dataType:'html',
            success:  function (response) {
                $('#tabla_map').html(response);
            },
            error: function (error) {
                console.log(error); 
            }
        });

    }
    $(document).on('keyup','#caja_buscar_map', function(){
        var valor = $(this).val();
        if(valor != ""){
            buscar_materia_prima(valor);
        }else{
            buscar_materia_prima();
        }
    });
</script>

<!-- /////////////// SELECCIONAR MATERIA PRIMA DEL BUSCADOR ///////////////-->
<script>
    $(document).ready(function(){
        seleccionar_materia_prima();
        var clave_materia=""
        
        $(document).on('click', '#edit_materia tbody tr', function(){
        var tr = $(this).closest('tr');
        clave_materia = $(tr).find('td:nth-child(1)').text();

        cleanTr()
        $(this).addClass('row-selected')
    
        function cleanTr(){
            $('.row-selected').each(function(index, element){
                $(element).removeClass('row-selected');
            })
            }
        });

        $('#btn_agregar_map').on('click',function(){
            //console.log(clave_materia);
            //document.getElementById('clave_materia_prima').value = clave_materia;
            seleccionar_materia_prima(clave_materia);
            $('#modalMPrima').modal('toggle'); 
        });

        function seleccionar_materia_prima(clave_materia){
            $.ajax({
                data: {clave_materia: clave_materia},
                url: '../functions/materia_prima/materia_prima.php',
                type: 'post',
                dataType:'html',
                success:  function (response) {
                    //console.log(response);
                    $('#editar_materia_prima_inputs').html(response);
                },
                error: function (error) {
                    console.log(error); 
                }
            });
        }
  });
</script>

<!-- ////////// ENVIAR DATOS PARA GUARDAR LA MATERIA PRIMA /////////////////-->
<script>
$(document).ready(function() {
    var map_clave = document.getElementById('map_clave');
    var map_nombre = document.getElementById('map_nombre');
    var map_cantidad_ingreso = document.getElementById('map_cantidad_ingreso');
    var map_unidad_medida = document.getElementById('map_unidad_medida');
    var map_costo_unico = document.getElementById('map_costo_unico');
    var map_costo_final = document.getElementById('map_costo_final');
    var map_stock_minimo= document.getElementById('map_stock_minimo');
    
    //$('#select_opction_map').load('../functions/materia_prima/opciones_materia_prima.php');

    map_clave.addEventListener('keyup', (e)=>{
        document.getElementById('map_clave').classList.remove('input_error');
    });
    map_nombre.addEventListener('keyup', (e)=>{
        document.getElementById('map_nombre').classList.remove('input_error');
    });
    map_cantidad_ingreso.addEventListener('keyup', (e)=>{
        document.getElementById('map_cantidad_ingreso').classList.remove('input_error');
    });
    map_unidad_medida.addEventListener('keyup', (e)=>{
        document.getElementById('map_unidad_medida').classList.remove('input_error');
    });
    map_costo_unico.addEventListener('keyup', (e)=>{
        document.getElementById('map_costo_unico').classList.remove('input_error');
    })
    

   
  $('#form_materia_prima').submit(function(event) {
    // Prevenir que el formulario se envíe de forma predeterminada
    
    event.preventDefault();

    const expresiones={
        caracteres: /^[a-zA-Z0-9]/,
        numeros: /^[0-9]/,
        decimales:/^[0-9.]/,
    }
    var map_clave = document.getElementById('map_clave');
    var map_nombre = document.getElementById('map_nombre');
    var map_cantidad_ingreso = document.getElementById('map_cantidad_ingreso');
    var map_unidad_medida = document.getElementById('map_unidad_medida');
    var map_costo_unico = document.getElementById('map_costo_unico');
    var map_costo_final = document.getElementById('map_costo_final');
    var map_existencia = document.getElementById('map_existencia');
    var map_stock_minimo = document.getElementById('map_stock_minimo');

    if(map_clave.value != "" && map_nombre.value!= "" && map_cantidad_ingreso.value != "" && map_unidad_medida.value != "" && map_costo_unico.value != ""){
        
            // Obtener los datos del formulario
            var datos = $(this).serialize();
            
            // Enviar la solicitud AJAX
            $.ajax({
            url: '../functions/materia_prima/guardar_materia_prima.php',
            type: 'POST',
            data: datos,
            success: function(respuesta) {
                if (respuesta == 1) {
                    $('#modalGuardarMateria').modal('toggle'); 
                    setTimeout(function() {
                        location.href='/aqua-restaurant/usuario_administrador/materia_prima.php';
                    }, 3000);
                } else {
                    $('#modalFalloGuardarMateria').modal('toggle'); 
                    setTimeout(function() {
                        location.href='/aqua-restaurant/usuario_administrador/materia_prima.php';
                    }, 3000);
                }
            },
            error: function(xhr, status, error) {
                console.log('Error al enviar la solicitud: ' + error);
            }
            });
        
        
    }else{
        if(map_clave.value == ""){
            document.getElementById('map_clave').classList.add('input_error');
        }
        if(map_nombre.value == ""){
            document.getElementById('map_nombre').classList.add('input_error');
        }
        if(map_cantidad_ingreso.value == ""){
            document.getElementById('map_cantidad_ingreso').classList.add('input_error');
        }
        if(map_unidad_medida.value == ""){
            document.getElementById('map_unidad_medida').classList.add('input_error');
        }
        if(map_costo_unico.value == ""){
            document.getElementById('map_costo_unico').classList.add('input_error');
        }
        
    }
    
  });
  //////////////// EDITAR LA MATERIA PRIMA //////////////////
  
  $('#form_materia_prima_edit').submit(function(event) {
    // Prevenir que el formulario se envíe de forma predeterminada
    event.preventDefault();
    
    var map_nombre = document.getElementById('map_nombre_edt');
    var map_cantidad_ingreso = document.getElementById('map_ingreso_edt');
    var map_unidad_medida = document.getElementById('map_unidad_edt');
    var map_costo_unico = document.getElementById('map_costo_u_edt');
    var map_costo_final = document.getElementById('map_costo_final_edt');

    if(map_nombre.value!= "" && map_cantidad_ingreso.value != "" && map_unidad_medida.value != "" && map_costo_unico.value != "" ){
       // Obtener los datos del formulario
        var datos = $(this).serialize();
        // Enviar la solicitud AJAX
        $.ajax({
        url: '../functions/materia_prima/editar_materia_prima.php',
        type: 'POST',
        data: datos,
        success: function(respuesta) {
            if (respuesta == 1) {
                $('#modalEditarMateria').modal('toggle'); 
                setTimeout(function() {
                    location.href='/aqua-restaurant/usuario_administrador/materia_prima.php';
                }, 3000);
            } else {
                $('#modalFalloGuardarMateria').modal('toggle'); 
                setTimeout(function() {
                    location.href='/aqua-restaurant/usuario_administrador/materia_prima.php';
                }, 3000);
                
            }
        },
        error: function(xhr, status, error) {
            console.log('Error al enviar la solicitud: ' + error);
        }
        });
    }else{
        console.log(document.getElementById('map_nombre_edt').value);
        if(map_nombre.value == ""){
            document.getElementById('map_nombre_edt').classList.add('input_error');
        }
        if(map_cantidad_ingreso.value == ""){
            document.getElementById('map_ingreso_edt').classList.add('input_error');
        }
        if(map_unidad_medida.value == ""){
            document.getElementById('map_unidad_edt').classList.add('input_error');
        }
        if(map_costo_unico.value == ""){
            document.getElementById('map_costo_u_edt').classList.add('input_error');
        }
        
    }
    
  });

  
        
});
</script>

<script type="text/javascript">
    $(document).ready(function(){
        materia_prima('TIENDA');
        var id="";
        var clave="";
        var nombre ="";
        var entrada="";
        var clasificacion="";
        var unidad_medida="";
        var fecha_ent="";
        var costo_unico="";
        var existencia="";
        var costo_final="";
        var stock_minimo="";
        var perecedero="";
        var fecha_predecedero="";
        var estatus="";
        $(document).on('click','#mat_tabla tbody tr', function(){
            id=$(this).find('.input-id').val();
            clave = $(this).find('.input-clave').val();
            nombre=$(this).find('.input-nombre').val();
            entrada=$(this).find('.input-entrada').val();
            clasificacion = $(this).find('.input-clasificacion').val();
            unidad_medida=$(this).find('.input-unidad-medida').val();
            fecha_ent=$(this).find('.input-fecha-ent').val();
            costo_unico=$(this).find('.input-costo-unico').val();

            existencia = $(this).find('.input-existencia').val();
            costo_final=$(this).find('.input-costo-final').val();
            stock_minimo=$(this).find('.input-stock-minimo').val();
            perecedero=$(this).find('.input-perecedero').val();
            
            fecha_predecedero=$(this).find('.input-fecha-predecedero').val();
            estatus=$(this).find('.input-estatus').val();
            cleanTr();
            $(this).addClass('row-selected');
            
        });
        $(document).on('change', '.input-clave', function() {
            var tr = $(this).closest('tr');
            clave = $(this).val();
            
        });
        $(document).on('change', '.input-nombre', function() {
            var tr = $(this).closest('tr');
            nombre = $(this).val();
            
        });
        $(document).on('change', '.input-entrada', function() {
            var tr = $(this).closest('tr');
            entrada = $(this).val();
            
        });
        $(document).on('change', '.input-clasificacion', function() {
            var tr = $(this).closest('tr');
            clasificacion = $(this).val();
        
        });
        $(document).on('change', '.input-unidad-medida', function() {
            var tr = $(this).closest('tr');
            unidad_medida = $(this).val();
            
        });
        $(document).on('change', '.input-fecha-ent', function() {
            var tr = $(this).closest('tr');
            fecha_ent = $(this).val();
            
        });
        $(document).on('change', '.input-costo-unico', function() {
            var tr = $(this).closest('tr');
            costo_unico = $(this).val();
            
        });


        $(document).on('change', '.input-existencia', function() {
            var tr = $(this).closest('tr');
            existencia = $(this).val();
        
        });
        $(document).on('change', '.input-costo-final', function() {
            var tr = $(this).closest('tr');
            costo_final = $(this).val();
            
        });
        $(document).on('change', '.input-stock-minimo', function() {
            var tr = $(this).closest('tr');
            stock_minimo = $(this).val();
            
        });
        $(document).on('change', '.input-perecedero', function() {
            var tr = $(this).closest('tr');
            perecedero = $(this).val();
            
        });


        $(document).on('change', '.input-fecha-predecedero', function() {
            var tr = $(this).closest('tr');
            fecha_predecedero = $(this).val();
            
        });
        $(document).on('change', '.input-estatus', function() {
            var tr = $(this).closest('tr');
            estatus= $(this).val();
            
        });
        /*
        $(document).on('change', '#select_opction_map select', function() {
            var mat_prima = $(this).val();
            materia_prima(mat_prima);
        });*/
        $('#seleccionar_mat_prima').on('change',function(){
            mat_prima = document.getElementById('seleccionar_mat_prima').value;
            console.log(mat_prima);
            materia_prima(mat_prima);
        });
        
        $('#editar_materia_prima').on('click',function(){
            if(id!=''){
            $('#modalEditarRenglon').modal('show'); 
           
        }else{
            $('#modalSeleccionarRenglon').modal('show'); 
        }
        });
        $('#btn_edt_mat_prima').on('click', function(){
        var datos_a_editar={
            "id": id,
            "clave": clave,
            "nombre": nombre, 
            "entrada": entrada, 
            "clasificacion": clasificacion,
            "unidad_medida": unidad_medida,
            "existencia": existencia, 
            "fecha_ent": fecha_ent,
            "costo_final": costo_final,
            "stock_minimo": stock_minimo, 
            "perecedero": perecedero,
            "fecha_predecedero": fecha_predecedero, 
            "estatus": estatus,
            'costo_unico':costo_unico,
        };
        $.ajax({
            data: datos_a_editar,
            url: '../functions/materia_prima/editar_lista_materia_prima.php',
            type: 'post',
            dataType:'html',
            success:  function (response) {
                $('#modalEditarRenglon').modal('toggle');
                console.log(response); 
                if (response==1) {
                    $('#modalExitoEdtRenglon').modal('show'); 
                    mat_prima = document.getElementById('seleccionar_mat_prima').value;
                    materia_prima(mat_prima);
                    //$('#select_opction_map').load('../functions/materia_prima/opciones_materia_prima.php');
                    
                }else{
                    $('#modalSNEdtRenglon').modal('show'); 
                }
                
                cleanTr();
            },
            error: function (error) {
                console.log(error); 
            }
        });
        id='';
    });
        function cleanTr(){
            $('.row-selected').each(function(index, element){
                $(element).removeClass('row-selected');
            })
        }
    });
    function materia_prima(op){
        $.ajax({
            data: {op: op},
            url: '../functions/materia_prima/tabla_editar_materias_prima.php',
            type: 'post',
            dataType:'html',
            success:  function (response) {
                $('#tabla-editar-materias-prima').html(response);
                
            },
            error: function (error) {
                console.log(error); 
            }
        });
    }
    
</script>
<!--@Footer-->
<?php
include("path/footer.php");
?>